io.etcd.jetcd.api

## Class HashKVResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>
      - - io.etcd.jetcd.api.HashKVResponse.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, HashKVResponseOrBuilder, Cloneable

Enclosing class:
  HashKVResponse

    public static final class HashKVResponse.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>
    implements HashKVResponseOrBuilder

Protobuf type `etcdserverpb.HashKVResponse`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`HashKVResponse.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`HashKVResponse` `build()`
`HashKVResponse` `buildPartial()`
`HashKVResponse.Builder` `clear()`
`HashKVResponse.Builder` `clearCompactRevision()` compact_revision is the compacted revision of key-value store when hash begins.
`HashKVResponse.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`HashKVResponse.Builder` `clearHash()` hash is the hash value computed from the responding member's MVCC keys up to a given revision.
`HashKVResponse.Builder` `clearHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`HashKVResponse.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`HashKVResponse.Builder` `clone()`
`long` `getCompactRevision()` compact_revision is the compacted revision of key-value store when hash begins.
`HashKVResponse` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`int` `getHash()` hash is the hash value computed from the responding member's MVCC keys up to a given revision.
`ResponseHeader` `getHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeader.Builder` `getHeaderBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`ResponseHeaderOrBuilder` `getHeaderOrBuilder()` `.etcdserverpb.ResponseHeader header = 1;`
`boolean` `hasHeader()` `.etcdserverpb.ResponseHeader header = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`HashKVResponse.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`HashKVResponse.Builder` `mergeFrom(HashKVResponse other)`
`HashKVResponse.Builder` `mergeFrom(com.google.protobuf.Message other)`
`HashKVResponse.Builder` `mergeHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`HashKVResponse.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`HashKVResponse.Builder` `setCompactRevision(long value)` compact_revision is the compacted revision of key-value store when hash begins.
`HashKVResponse.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`HashKVResponse.Builder` `setHash(int value)` hash is the hash value computed from the responding member's MVCC keys up to a given revision.
`HashKVResponse.Builder` `setHeader(ResponseHeader.Builder builderForValue)` `.etcdserverpb.ResponseHeader header = 1;`
`HashKVResponse.Builder` `setHeader(ResponseHeader value)` `.etcdserverpb.ResponseHeader header = 1;`
`HashKVResponse.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`HashKVResponse.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### clear

    public HashKVResponse.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### getDefaultInstanceForType

    public HashKVResponse getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public HashKVResponse build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public HashKVResponse buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public HashKVResponse.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### setField

    public HashKVResponse.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                           Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### clearField

    public HashKVResponse.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### clearOneof

    public HashKVResponse.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### setRepeatedField

    public HashKVResponse.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   int index,
                                                   Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### addRepeatedField

    public HashKVResponse.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                   Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### mergeFrom

    public HashKVResponse.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<HashKVResponse.Builder>`

#### mergeFrom

    public HashKVResponse.Builder mergeFrom(HashKVResponse other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### mergeFrom

    public HashKVResponse.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                     throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<HashKVResponse.Builder>`
Throws:
  `IOException`

#### hasHeader

    public boolean hasHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `hasHeader` in interface `HashKVResponseOrBuilder`
Returns:
  Whether the header field is set.

#### getHeader

    public ResponseHeader getHeader()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeader` in interface `HashKVResponseOrBuilder`
Returns:
  The header.

#### setHeader

    public HashKVResponse.Builder setHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### setHeader

    public HashKVResponse.Builder setHeader(ResponseHeader.Builder builderForValue)

`.etcdserverpb.ResponseHeader header = 1;`

#### mergeHeader

    public HashKVResponse.Builder mergeHeader(ResponseHeader value)

`.etcdserverpb.ResponseHeader header = 1;`

#### clearHeader

    public HashKVResponse.Builder clearHeader()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderBuilder

    public ResponseHeader.Builder getHeaderBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

#### getHeaderOrBuilder

    public ResponseHeaderOrBuilder getHeaderOrBuilder()

`.etcdserverpb.ResponseHeader header = 1;`

Specified by:
  `getHeaderOrBuilder` in interface `HashKVResponseOrBuilder`

#### getHash

    public int getHash()

     hash is the hash value computed from the responding member's MVCC keys up to a given revision.

`uint32 hash = 2;`

Specified by:
  `getHash` in interface `HashKVResponseOrBuilder`
Returns:
  The hash.

#### setHash

    public HashKVResponse.Builder setHash(int value)

     hash is the hash value computed from the responding member's MVCC keys up to a given revision.

`uint32 hash = 2;`

Parameters:
  `value` - The hash to set.
Returns:
  This builder for chaining.

#### clearHash

    public HashKVResponse.Builder clearHash()

     hash is the hash value computed from the responding member's MVCC keys up to a given revision.

`uint32 hash = 2;`

Returns:
  This builder for chaining.

#### getCompactRevision

    public long getCompactRevision()

     compact_revision is the compacted revision of key-value store when hash begins.

`int64 compact_revision = 3;`

Specified by:
  `getCompactRevision` in interface `HashKVResponseOrBuilder`
Returns:
  The compactRevision.

#### setCompactRevision

    public HashKVResponse.Builder setCompactRevision(long value)

     compact_revision is the compacted revision of key-value store when hash begins.

`int64 compact_revision = 3;`

Parameters:
  `value` - The compactRevision to set.
Returns:
  This builder for chaining.

#### clearCompactRevision

    public HashKVResponse.Builder clearCompactRevision()

     compact_revision is the compacted revision of key-value store when hash begins.

`int64 compact_revision = 3;`

Returns:
  This builder for chaining.

#### setUnknownFields

    public final HashKVResponse.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`

#### mergeUnknownFields

    public final HashKVResponse.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<HashKVResponse.Builder>`